View Issue Details

IDProjectCategoryView StatusLast Update
0005117unrealircdpublic2018-09-02 11:18
ReportersyzopAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version4.2.0Fixed in Version4.2.0 
Summary0005117: Consider loading more modules by default
DescriptionIn particular:
* extbans/textban
* extbans/msgbypass
* extbans/timedban

Not considering:
* m_ircops, m_staff: both require configuration / a file
* hideserver: policy decision, and discouraged by us to use it
* antirandom: requires configuring, major impact if wrongly configured
* websocket: niche feature
TagsNo tags attached.
3rd party modules

Activities

syzop

2018-07-14 17:16

administrator   ~0020213

Opinions on loading the 3 extban modules by default?

syzop

2018-07-14 17:30

administrator   ~0020215

And there would be 0005118 so users can more easily prevent a module from being loaded.

The_Myth

2018-07-16 14:34

reporter   ~0020219

IMO, those 3 modules should be loaded by default, so I'm saying yes to that.
The more loaded modules that doesn't require a configuration directive, the more easier is the life of network administrators.

Cheers!

syzop

2018-09-02 11:18

administrator   ~0020243

Thanks for the feedback. Done!

https://github.com/unrealircd/unrealircd/commit/3c801ced2e4a52d0e393c52eba404853da9f2935

Issue History

Date Modified Username Field Change
2018-07-14 17:16 syzop New Issue
2018-07-14 17:16 syzop Assigned To => syzop
2018-07-14 17:16 syzop Status new => feedback
2018-07-14 17:16 syzop Note Added: 0020213
2018-07-14 17:17 syzop Sticky Issue No => Yes
2018-07-14 17:30 syzop Note Added: 0020215
2018-07-16 14:34 The_Myth Note Added: 0020219
2018-09-02 11:18 syzop Status feedback => resolved
2018-09-02 11:18 syzop Resolution open => fixed
2018-09-02 11:18 syzop Fixed in Version => 4.2.0
2018-09-02 11:18 syzop Note Added: 0020243